Loading...
Searching...
No Matches
type_name_as_string.hpp File Reference

Provides traits to inspect some information of a type, for example its name. More...

`#include <cstdlib>`
`#include <functional>`
`#include <memory>`
`#include <string>`
`#include <typeinfo>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for type_name_as_string.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides traits to inspect some information of a type, for example its name.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me